> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Roles

> Get a list of all available roles



## OpenAPI

````yaml get /admin/providers/role/list
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/providers/role/list:
    get:
      tags:
        - provider
        - admin
      summary: List Roles
      description: Get a list of all available roles
      operationId: list_roles_admin_providers_role_list_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RoleSummary'
                type: array
                title: Response List Roles Admin Providers Role List Get
components:
  schemas:
    RoleSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the role
        name:
          type: string
          title: Name
          description: Role name (e.g., 'admin', 'user', 'billing_manager')
        userType:
          $ref: '#/components/schemas/RoleType'
          description: Role type (ADMIN, PROVIDER, USER)
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: When the role was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: When the role was last updated
      type: object
      required:
        - id
        - name
        - userType
      title: RoleSummary
    RoleType:
      type: string
      enum:
        - ADMIN
        - PROVIDER
        - USER
      title: RoleType

````